# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bencher/Backend.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(URI/Encode.pm) perl(URI/Encode/XS.pm) perl(URI/Escape.pm) perl(URI/Escape/XS.pm) perl(URI/XSEscape.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Bencher-Scenario-URIEscaping
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: Benchmark URI escaping using various modules
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Bencher-Scenario-URIEscaping

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Packaging a benchmark script as a Bencher scenario makes it convenient to include/exclude/add participants/datasets (either via CLI or Perl code), send the result to a central repository, among others . See the Bencher manpage and the bencher manpage (CLI) for more details.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/B*

%changelog
* Fri Jan 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- initial import by package builder

